aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorChris Gianelloni <wolf31o2@gentoo.org>2008-03-27 04:58:57 +0000
committerChris Gianelloni <wolf31o2@gentoo.org>2008-03-27 04:58:57 +0000
commit36c9e32202247f5a030c8872339c6e40cf61712f (patch)
tree6cb730863f8beb220047ec186e774963717be2fb /targets/support/chroot-functions.sh
parentAdded dosshd, passwd=, and nonfs to README.txt, since they were missing. (diff)
downloadcatalyst-36c9e32202247f5a030c8872339c6e40cf61712f.tar.gz
catalyst-36c9e32202247f5a030c8872339c6e40cf61712f.tar.bz2
catalyst-36c9e32202247f5a030c8872339c6e40cf61712f.zip
Added --noreplace to setup_myfeatures merges so we don't blow away any packages which are already installed with the proper USE flags for the given target. This is for bug #211654. This is catalyst 2.0.6_pre16 for testing.
git-svn-id: svn+ssh://svn.gentoo.org/var/svnroot/catalyst/trunk@1382 d1e1f19c-881f-0410-ab34-b69fee027534
Diffstat (limited to 'targets/support/chroot-functions.sh')
-rwxr-xr-xtargets/support/chroot-functions.sh6
1 files changed, 3 insertions, 3 deletions
diff --git a/targets/support/chroot-functions.sh b/targets/support/chroot-functions.sh
index 38a7af8f..041de496 100755
--- a/targets/support/chroot-functions.sh
+++ b/targets/support/chroot-functions.sh
@@ -64,7 +64,7 @@ setup_myfeatures(){
if [ -n "${clst_CCACHE}" ]
then
export clst_myfeatures="${clst_myfeatures} ccache"
- clst_root_path=/ run_merge --oneshot --nodeps dev-util/ccache || exit 1
+ clst_root_path=/ run_merge --oneshot --nodeps --noreplace dev-util/ccache || exit 1
fi
if [ -n "${clst_DISTCC}" ]
@@ -73,7 +73,7 @@ setup_myfeatures(){
export DISTCC_HOSTS="${clst_distcc_hosts}"
[ -e /etc/make.conf ] && \
echo 'USE="${USE} -avahi -gtk -gnome"' >> /etc/make.conf
- clst_root_path=/ run_merge --oneshot --nodeps sys-devel/distcc || exit 1
+ clst_root_path=/ run_merge --oneshot --nodeps --noreplace sys-devel/distcc || exit 1
sed -i '/USE="${USE} -avahi -gtk -gnome"/d' /etc/make.conf
mkdir -p /etc/distcc
echo "${clst_distcc_hosts}" > /etc/distcc/hosts
@@ -91,7 +91,7 @@ setup_myfeatures(){
if [ -n "${clst_ICECREAM}" ]
then
- clst_root_path=/ run_merge --oneshot --nodeps sys-devel/icecream || exit 1
+ clst_root_path=/ run_merge --oneshot --nodeps --noreplace sys-devel/icecream || exit 1
# This sets up automatic cross-icecc-fu according to
# http://gentoo-wiki.com/HOWTO_Setup_An_ICECREAM_Compile_Cluster#Icecream_and_cross-compiling